/*
Weather Underground, by John Bartlett
jbartlett@strangejourney.net

Version History
===============


Notes: This widget has the capability to check and download a newer version of the widget and auto-upgrade by replacing
the current widget with the newer version. This method of updating has been approved by Arlo Rose at the following thread
http://www2.konfabulator.com/forums/index.php?showtopic=15721

*/


var IgnoreInput=false;
var TxtBG=new Array();
var LinkBack='';
var NavHighlight=0;
var Overlay=new Array();
var LastMapViewed=null;
var MapTime='';
var UpgradeVersion='';
var UpgradeNotes='';
var TZ=Number(ListGetAt(String(new Date),5,' ').substr(3));
var WidgetVersion='1.0';
var WidgetDownloadURL='http://widgets.yahoo.com/gallery/dl_r.php?widget=40328&platform=win';

var Maps=new Array();
Maps[0]=new Array();
Maps[0][0]='US';
Maps[0][1]='Temperature,Heat Index,Windchill,Humidity,Radar,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Fronts,Snow Depth,Precipitation,Jet Stream,Flight Rules,UV Forecast,Air Quality';
Maps[0][2]='US,us_st.gif,us_hi.gif,us_wc.gif,us_rh.gif,us_rd.gif,us_dp.gif,us_ws.gif,us_vs.gif,us_vi.gif,us_ir.gif,us_sf.gif,us_snow.gif,us_nws_precip.gif,us_jt.gif,us_flight.gif,us_uv.gif,us_ozone.gif';
Maps[0][3]='images/load_us.png';
Maps[0][4]=new Array();
Maps[0][4][0]='images/us_overlay_mw.png,38,226,ShowCountry(11),Midwest';
Maps[0][4][1]='images/us_overlay_ne.png,18,336,ShowCountry(12),Northeast';
Maps[0][4][2]='images/us_overlay_nw.png,14,119,ShowCountry(10),Northwest';
Maps[0][4][3]='images/us_overlay_se.png,112,313,ShowCountry(15),Southeast';
Maps[0][4][4]='images/us_overlay_sp.png,93,182,ShowCountry(14),South central';
Maps[0][4][5]='images/us_overlay_sw.png,58,111,ShowCountry(13),Southwest';

Maps[1]=new Array();
Maps[1][0]='Canada';
Maps[1][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Jet Stream';
Maps[1][2]='Canada,cn_st.gif,cn_hi.gif,cn_wc.gif,cn_rh.gif,cn_dp.gif,cn_ws.gif,cn_vs.gif,cn_vi.gif,cn_ir.gif,cn_jt.gif';
Maps[1][3]='images/load_cn.png';
Maps[1][4]=new Array();
Maps[1][4][0]='images/cn/ab.png,86,158,openURL("http://www.wunderground.com/global/CA_AB.html?fromwidget=Y"),AB';
Maps[1][4][1]='images/cn/bc.png,49,124,openURL("http://www.wunderground.com/global/CA_BC.html?fromwidget=Y"),BC';
Maps[1][4][2]='images/cn/mn.png,107,215,openURL("http://www.wunderground.com/global/CA_MN.html?fromwidget=Y"),MN';
Maps[1][4][3]='images/cn/nb.png,168,358,openURL("http://www.wunderground.com/global/CA_NB.html?fromwidget=Y"),NB';
Maps[1][4][4]='images/cn/nf.png,96,343,openURL("http://www.wunderground.com/global/CA_NF.html?fromwidget=Y"),NF';
Maps[1][4][5]='images/cn/ns.png,163,384,openURL("http://www.wunderground.com/global/CA_NS.html?fromwidget=Y"),NS';
Maps[1][4][6]='images/cn/nt.png,9,163,openURL("http://www.wunderground.com/global/CA_NT.html?fromwidget=Y"),NT';
Maps[1][4][7]='images/cn/nu.png,5,201,openURL("http://www.wunderground.com/global/CA_NU.html?fromwidget=Y"),NU';
Maps[1][4][8]='images/cn/on.png,131,243,openURL("http://www.wunderground.com/global/CA_ON.html?fromwidget=Y"),ON';
Maps[1][4][9]='images/cn/qb.png,91,299,openURL("http://www.wunderground.com/global/CA_QB.html?fromwidget=Y"),QB';
Maps[1][4][10]='images/cn/sa.png,101,181,openURL("http://www.wunderground.com/global/CA_SA.html?fromwidget=Y"),SA';
Maps[1][4][11]='images/cn/yk.png,9,132,openURL("http://www.wunderground.com/global/CA_YK.html?fromwidget=Y"),YK';

Maps[2]=new Array();
Maps[2][0]='Central America';
Maps[2][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Jet Stream';
Maps[2][2]='Central America,ca_st.gif,ca_hi.gif,ca_wc.gif,ca_rh.gif,ca_dp.gif,ca_ws.gif,ca_vs.gif,ca_vi.gif,ca_ir.gif,ca_jt.gif';
Maps[2][3]='images/load_ca.png';
Maps[2][4]=new Array();
Maps[2][4][0]='images/ca/bh.png,127,283,openURL("http://www.wunderground.com/global/BH.html?fromwidget=Y"),BH';
Maps[2][4][1]='images/ca/bs.png,69,348,openURL("http://www.wunderground.com/global/BS.html?fromwidget=Y"),BS';
Maps[2][4][2]='images/ca/cs.png,177,305,openURL("http://www.wunderground.com/global/CS.html?fromwidget=Y"),CS';
Maps[2][4][3]='images/ca/cu.png,95,315,openURL("http://www.wunderground.com/global/CU.html?fromwidget=Y"),CU';
Maps[2][4][4]='images/ca/dr.png,118,396,openURL("http://www.wunderground.com/global/DR.html?fromwidget=Y"),DR';
Maps[2][4][5]='images/ca/es.png,156,278,openURL("http://www.wunderground.com/global/ES.html?fromwidget=Y"),ES';
Maps[2][4][6]='images/ca/gu.png,132,264,openURL("http://www.wunderground.com/global/GU.html?fromwidget=Y"),GU';
Maps[2][4][7]='images/ca/ha.png,118,379,openURL("http://www.wunderground.com/global/HA.html?fromwidget=Y"),HA';
Maps[2][4][8]='images/ca/ho.png,145,281,openURL("http://www.wunderground.com/global/HO.html?fromwidget=Y"),HO';
Maps[2][4][9]='images/ca/jm.png,127,355,openURL("http://www.wunderground.com/global/JM.html?fromwidget=Y"),JM';
Maps[2][4][10]='images/ca/mx.png,24,102,openURL("http://www.wunderground.com/global/MX.html?fromwidget=Y"),MX';
Maps[2][4][11]='images/ca/nk.png,152,294,openURL("http://www.wunderground.com/global/NK.html?fromwidget=Y"),NK';
Maps[2][4][12]='images/ca/pm.png,187,323,openURL("http://www.wunderground.com/global/PM.html?fromwidget=Y"),PM';
Maps[2][4][13]='images/ca/pu.png,127,427,openURL("http://www.wunderground.com/global/PU.html?fromwidget=Y"),PU';

Maps[3]=new Array();
Maps[3][0]='Antarctica';
Maps[3][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Jet Stream';
Maps[3][2]='Antarctica Tempature,an_st.gif,an_hi.gif,an_wc.gif,an_rh.gif,an_dp.gif,an_ws.gif,an_vs.gif,an_jt.gif';
Maps[3][3]='images/load_an.png';
Maps[3][4]=new Array();
Maps[3][4][0]='images/an/an.png,4,96,openURL("http://www.wunderground.com/global/AA.html?fromwidget=Y"),AA';

Maps[4]=new Array();
Maps[4][0]='South America';
Maps[4][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Jet Stream';
Maps[4][2]='South America,sa_st.gif,sa_hi.gif,sa_wc.gif,sa_rh.gif,sa_dp.gif,sa_ws.gif,sa_vs.gif,sa_jt.gif';
Maps[4][3]='images/load_sa.png';
Maps[4][4]=new Array();
Maps[4][4][0]='images/sa/ag.png,104,229,openURL("http://www.wunderground.com/global/AG.html?fromwidget=Y"),AG';
Maps[4][4][1]='images/sa/bo.png,71,239,openURL("http://www.wunderground.com/global/BO.html?fromwidget=Y"),BO';
Maps[4][4][2]='images/sa/bz.png,29,228,openURL("http://www.wunderground.com/global/BZ.html?fromwidget=Y"),BZ';
Maps[4][4][3]='images/sa/ch.png,94,223,openURL("http://www.wunderground.com/global/CH.html?fromwidget=Y"),CH';
Maps[4][4][4]='images/sa/co.png,12,214,openURL("http://www.wunderground.com/global/CO.html?fromwidget=Y"),CO';
Maps[4][4][5]='images/sa/eq.png,40,209,openURL("http://www.wunderground.com/global/EQ.html?fromwidget=Y"),EQ';
Maps[4][4][6]='images/sa/fg.png,28,280,openURL("http://www.wunderground.com/global/FG.html?fromwidget=Y"),FG';
Maps[4][4][7]='images/sa/gy.png,21,262,openURL("http://www.wunderground.com/global/GY.html?fromwidget=Y"),GY';
Maps[4][4][8]='images/sa/pr.png,44,208,openURL("http://www.wunderground.com/global/PR.html?fromwidget=Y"),PR';
Maps[4][4][9]='images/sa/py.png,97,258,openURL("http://www.wunderground.com/global/PY.html?fromwidget=Y"),PY';
Maps[4][4][10]='images/sa/sm.png,27,271,openURL("http://www.wunderground.com/global/SM.html?fromwidget=Y"),SM';
Maps[4][4][11]='images/sa/uy.png,129,269,openURL("http://www.wunderground.com/global/UY.html?fromwidget=Y"),UY';
Maps[4][4][12]='images/sa/vn.png,12,230,openURL("http://www.wunderground.com/global/VN.html?fromwidget=Y"),VN';


Maps[5]=new Array();
Maps[5][0]='Europe';
Maps[5][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Jet Stream';
Maps[5][2]='Europe,eu_st.gif,eu_hi.gif,eu_wc.gif,eu_rh.gif,eu_dp.gif,eu_ws.gif,eu_vs.gif,eu_jt.gif';
Maps[5][3]='images/load_eu.png';
Maps[5][4]=new Array();
Maps[5][4][0]='images/eu/ab.png,176,278,openURL("http://www.wunderground.com/global/AB.html?fromwidget=Y"),AB';
Maps[5][4][1]='images/eu/ba.png,162,262,openURL("http://www.wunderground.com/global/BA.html?fromwidget=Y"),BA';
Maps[5][4][2]='images/eu/bu.png,163,292,openURL("http://www.wunderground.com/global/BU.html?fromwidget=Y"),BU';
Maps[5][4][3]='images/eu/bx.png,118,214,openURL("http://www.wunderground.com/global/BX.html?fromwidget=Y"),BX';
Maps[5][4][4]='images/eu/by.png,93,290,openURL("http://www.wunderground.com/global/BY.html?fromwidget=Y"),BY';
Maps[5][4][5]='images/eu/cz.png,126,249,openURL("http://www.wunderground.com/global/CZ.html?fromwidget=Y"),CZ';
Maps[5][4][6]='images/eu/dl.png,101,226,openURL("http://www.wunderground.com/global/DL.html?fromwidget=Y"),DL';
Maps[5][4][7]='images/eu/dn.png,87,239,openURL("http://www.wunderground.com/global/DN.html?fromwidget=Y"),DN';
Maps[5][4][8]='images/eu/ee.png,75,286,openURL("http://www.wunderground.com/global/EE.html?fromwidget=Y"),EE';
Maps[5][4][9]='images/eu/fi.png,17,278,openURL("http://www.wunderground.com/global/FI.html?fromwidget=Y"),FI';
Maps[5][4][10]='images/eu/fr.png,119,181,openURL("http://www.wunderground.com/global/FR.html?fromwidget=Y"),FR';
Maps[5][4][11]='images/eu/gr.png,179,282,openURL("http://www.wunderground.com/global/GR.html?fromwidget=Y"),GR';
Maps[5][4][12]='images/eu/hu.png,140,263,openURL("http://www.wunderground.com/global/HU.html?fromwidget=Y"),HU';
Maps[5][4][13]='images/eu/ie.png,86,172,openURL("http://www.wunderground.com/global/IE.html?fromwidget=Y"),IE';
Maps[5][4][14]='images/eu/il.png,9,179,openURL("http://www.wunderground.com/global/IL.html?fromwidget=Y"),IL';
Maps[5][4][15]='images/eu/iy.png,149,223,openURL("http://www.wunderground.com/global/IY.html?fromwidget=Y"),IY';
Maps[5][4][16]='images/eu/l1.png,93,280,openURL("http://www.wunderground.com/global/L1.html?fromwidget=Y"),L1';
Maps[5][4][17]='images/eu/lj.png,152,252,openURL("http://www.wunderground.com/global/LJ.html?fromwidget=Y"),LJ';
Maps[5][4][18]='images/eu/lv.png,83,280,openURL("http://www.wunderground.com/global/LV.html?fromwidget=Y"),LV';
Maps[5][4][19]='images/eu/m1.png,138,307,openURL("http://www.wunderground.com/global/M1.html?fromwidget=Y"),M1';
Maps[5][4][20]='images/eu/nl.png,108,218,openURL("http://www.wunderground.com/global/NL.html?fromwidget=Y"),NL';
Maps[5][4][21]='images/eu/no.png,11,234,openURL("http://www.wunderground.com/global/NO.html?fromwidget=Y"),NO';
Maps[5][4][22]='images/eu/os.png,138,237,openURL("http://www.wunderground.com/global/OS.html?fromwidget=Y"),OS';
Maps[5][4][23]='images/eu/pl.png,104,257,openURL("http://www.wunderground.com/global/PL.html?fromwidget=Y"),PL';
Maps[5][4][24]='images/eu/po.png,155,136,openURL("http://www.wunderground.com/global/PO.html?fromwidget=Y"),PO';
Maps[5][4][25]='images/eu/rh.png,154,255,openURL("http://www.wunderground.com/global/RH.html?fromwidget=Y"),RH';
Maps[5][4][26]='images/eu/ro.png,139,281,openURL("http://www.wunderground.com/global/RO.html?fromwidget=Y"),RO';
Maps[5][4][27]='images/eu/rs.png,5,290,openURL("http://www.wunderground.com/global/RS.html?fromwidget=Y"),RS';
Maps[5][4][28]='images/eu/s1.png,134,267,openURL("http://www.wunderground.com/global/S1.html?fromwidget=Y"),S1';
Maps[5][4][29]='images/eu/sn.png,24,250,openURL("http://www.wunderground.com/global/SN.html?fromwidget=Y"),SN';
Maps[5][4][30]='images/eu/sp.png,146,144,openURL("http://www.wunderground.com/global/SP.html?fromwidget=Y"),SP';
Maps[5][4][31]='images/eu/sw.png,143,223,openURL("http://www.wunderground.com/global/SW.html?fromwidget=Y"),SW';
Maps[5][4][32]='images/eu/sy.png,185,367,openURL("http://www.wunderground.com/global/SY.html?fromwidget=Y"),SY';
Maps[5][4][33]='images/eu/tu.png,156,311,openURL("http://www.wunderground.com/global/TU.html?fromwidget=Y"),TU';
Maps[5][4][34]='images/eu/uk.png,70,186,openURL("http://www.wunderground.com/global/UK.html?fromwidget=Y"),UK';
Maps[5][4][35]='images/eu/ur.png,110,288,openURL("http://www.wunderground.com/global/UR.html?fromwidget=Y"),UR';
Maps[5][4][36]='images/eu/yg.png,155,274,openURL("http://www.wunderground.com/global/YG.html?fromwidget=Y"),YG';

Maps[6]=new Array();
Maps[6][0]='Asia';
Maps[6][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Jet Stream';
Maps[6][2]='Asia,as_st.gif,as_hi.gif,as_wc.gif,as_rh.gif,as_dp.gif,as_ws.gif,as_vs.gif,as_jt.gif';
Maps[6][3]='images/load_as.png';
Maps[6][4]=new Array();
Maps[6][4][0]='images/as/a2.png,143,106,openURL("http://www.wunderground.com/global/A2.html?fromwidget=Y"),A2';
Maps[6][4][1]='images/as/am.png,139,102,openURL("http://www.wunderground.com/global/AM.html?fromwidget=Y"),AM';
Maps[6][4][2]='images/as/ge.png,122,104,openURL("http://www.wunderground.com/global/GE.html?fromwidget=Y"),GE';
Maps[6][4][3]='images/as/jp.png,158,402,openURL("http://www.wunderground.com/global/JP.html?fromwidget=Y"),JP';
Maps[6][4][4]='images/as/kg.png,193,173,openURL("http://www.wunderground.com/global/KG.html?fromwidget=Y"),KG';
Maps[6][4][5]='images/as/ko.png,198,380,openURL("http://www.wunderground.com/global/KO.html?fromwidget=Y"),KO';
Maps[6][4][6]='images/as/kr.png,177,368,openURL("http://www.wunderground.com/global/KR.html?fromwidget=Y"),KR';
Maps[6][4][7]='images/as/kz.png,120,130,openURL("http://www.wunderground.com/global/KZ.html?fromwidget=Y"),KZ';
Maps[6][4][8]='images/as/mo.png,166,244,openURL("http://www.wunderground.com/global/MO.html?fromwidget=Y"),MO';
Maps[6][4][9]='images/as/rs.png,5,105,openURL("http://www.wunderground.com/global/RS.html?fromwidget=Y"),RS';
Maps[6][4][10]='images/as/tj.png,200,162,openURL("http://www.wunderground.com/global/TJ.html?fromwidget=Y"),TJ';
Maps[6][4][11]='images/as/tm.png,161,118,openURL("http://www.wunderground.com/global/TM.html?fromwidget=Y"),TM';
Maps[6][4][12]='images/as/uz.png,156,137,openURL("http://www.wunderground.com/global/UZ.html?fromwidget=Y"),UZ';

Maps[7]=new Array();
Maps[7][0]='South Asia';
Maps[7][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Jet Stream';
Maps[7][2]='South Asia,a2_st.gif,a2_hi.gif,a2_wc.gif,a2_rh.gif,a2_dp.gif,a2_ws.gif,a2_vs.gif,a2_jt.gif';
Maps[7][3]='images/load_a2.png';
Maps[7][4]=new Array();
Maps[7][4][0]='images/a2/ah.png,47,197,openURL("http://www.wunderground.com/global/AH.html?fromwidget=Y"),AH';
Maps[7][4][1]='images/a2/am.png,32,139,openURL("http://www.wunderground.com/global/AM.html?fromwidget=Y"),AM';
Maps[7][4][2]='images/a2/bm.png,89,307,openURL("http://www.wunderground.com/global/BM.html?fromwidget=Y"),BM';
Maps[7][4][3]='images/a2/bw.png,97,292,openURL("http://www.wunderground.com/global/BW.html?fromwidget=Y"),BW';
Maps[7][4][4]='images/a2/dj.png,148,133,openURL("http://www.wunderground.com/global/DJ.html?fromwidget=Y"),DJ';
Maps[7][4][5]='images/a2/eg.png,77,97,openURL("http://www.wunderground.com/global/EG.html?fromwidget=Y"),EG';
Maps[7][4][6]='images/a2/er.png,99,169,openURL("http://www.wunderground.com/global/ER.html?fromwidget=Y"),ER';
Maps[7][4][7]='images/a2/et.png,129,102,openURL("http://www.wunderground.com/global/ET.html?fromwidget=Y"),ET';
Maps[7][4][8]='images/a2/ge.png,23,126,openURL("http://www.wunderground.com/global/GE.html?fromwidget=Y"),GE';
Maps[7][4][9]='images/a2/id.png,172,318,openURL("http://www.wunderground.com/global/ID.html?fromwidget=Y"),ID';
Maps[7][4][10]='images/a2/in.png,59,223,openURL("http://www.wunderground.com/global/IN.html?fromwidget=Y"),IN';
Maps[7][4][11]='images/a2/iq.png,51,122,openURL("http://www.wunderground.com/global/IQ.html?fromwidget=Y"),IQ';
Maps[7][4][12]='images/a2/ir.png,41,141,openURL("http://www.wunderground.com/global/IR.html?fromwidget=Y"),IR';
Maps[7][4][13]='images/a2/is.png,72,106,openURL("http://www.wunderground.com/global/IS.html?fromwidget=Y"),IS';
Maps[7][4][14]='images/a2/jd.png,69,109,openURL("http://www.wunderground.com/global/JD.html?fromwidget=Y"),JD';
Maps[7][4][15]='images/a2/kg.png,25,228,openURL("http://www.wunderground.com/global/KG.html?fromwidget=Y"),KG';
Maps[7][4][16]='images/a2/kh.png,141,342,openURL("http://www.wunderground.com/global/KH.html?fromwidget=Y"),KH';
Maps[7][4][17]='images/a2/kn.png,176,106,openURL("http://www.wunderground.com/global/KN.html?fromwidget=Y"),KN';
Maps[7][4][18]='images/a2/ko.png,48,424,openURL("http://www.wunderground.com/global/KO.html?fromwidget=Y"),KO';
Maps[7][4][19]='images/a2/kr.png,27,417,openURL("http://www.wunderground.com/global/KR.html?fromwidget=Y"),KR';
Maps[7][4][20]='images/a2/kw.png,81,148,openURL("http://www.wunderground.com/global/KW.html?fromwidget=Y"),KW';
Maps[7][4][21]='images/a2/kz.png,5,161,openURL("http://www.wunderground.com/global/KZ.html?fromwidget=Y"),KZ';
Maps[7][4][22]='images/a2/la.png,111,334,openURL("http://www.wunderground.com/global/LA.html?fromwidget=Y"),LA';
Maps[7][4][23]='images/a2/lb.png,63,107,openURL("http://www.wunderground.com/global/OB.html?fromwidget=Y"),LB';
Maps[7][4][24]='images/a2/mo.png,5,302,openURL("http://www.wunderground.com/global/MO.html?fromwidget=Y"),MO';
Maps[7][4][25]='images/a2/ms.png,167,335,openURL("http://www.wunderground.com/global/MS.html?fromwidget=Y"),MS';
Maps[7][4][26]='images/a2/np.png,81,265,openURL("http://www.wunderground.com/global/NP.html?fromwidget=Y"),NP';
Maps[7][4][27]='images/a2/om.png,107,171,openURL("http://www.wunderground.com/global/OM.html?fromwidget=Y"),OM';
Maps[7][4][28]='images/a2/ph.png,125,392,openURL("http://www.wunderground.com/global/PH.html?fromwidget=Y"),PH';
Maps[7][4][29]='images/a2/pk.png,53,200,openURL("http://www.wunderground.com/global/PK.html?fromwidget=Y"),PK';
Maps[7][4][30]='images/a2/qt.png,96,162,openURL("http://www.wunderground.com/global/QT.html?fromwidget=Y"),QT';
Maps[7][4][31]='images/a2/rs.png,5,116,openURL("http://www.wunderground.com/global/RS.html?fromwidget=Y"),RS';
Maps[7][4][32]='images/a2/sb.png,159,264,openURL("http://www.wunderground.com/global/SB.html?fromwidget=Y"),SB';
Maps[7][4][33]='images/a2/sd.png,74,108,openURL("http://www.wunderground.com/global/SD.html?fromwidget=Y"),SD';
Maps[7][4][34]='images/a2/si.png,150,130,openURL("http://www.wunderground.com/global/SI.html?fromwidget=Y"),SI';
Maps[7][4][35]='images/a2/su.png,113,97,openURL("http://www.wunderground.com/global/SU.html?fromwidget=Y"),SU';
Maps[7][4][36]='images/a2/sy.png,52,111,openURL("http://www.wunderground.com/global/SY.html?fromwidget=Y"),SY';
Maps[7][4][37]='images/a2/th.png,118,325,openURL("http://www.wunderground.com/global/TH.html?fromwidget=Y"),TH';
Maps[7][4][38]='images/a2/tj.png,33,221,openURL("http://www.wunderground.com/global/TJ.html?fromwidget=Y"),TJ';
Maps[7][4][39]='images/a2/tm.png,27,170,openURL("http://www.wunderground.com/global/TM.html?fromwidget=Y"),TM';
Maps[7][4][40]='images/a2/tn.png,195,97,openURL("http://www.wunderground.com/global/TN.html?fromwidget=Y"),TN';
Maps[7][4][41]='images/a2/tu.png,31,97,openURL("http://www.wunderground.com/global/TU.html?fromwidget=Y"),TU';
Maps[7][4][42]='images/a2/tw.png,101,403,openURL("http://www.wunderground.com/global/TW.html?fromwidget=Y"),TW';
Maps[7][4][43]='images/a2/ug.png,178,97,openURL("http://www.wunderground.com/global/UG.html?fromwidget=Y"),UG';
Maps[7][4][44]='images/a2/ur.png,5,97,openURL("http://www.wunderground.com/global/UR.html?fromwidget=Y"),UR';
Maps[7][4][45]='images/a2/uz.png,8,182,openURL("http://www.wunderground.com/global/UZ.html?fromwidget=Y"),UZ';
Maps[7][4][46]='images/a2/vs.png,108,342,openURL("http://www.wunderground.com/global/VS.html?fromwidget=Y"),VS';
Maps[7][4][47]='images/a2/ye.png,129,136,openURL("http://www.wunderground.com/global/YE.html?fromwidget=Y"),YE';

Maps[8]=new Array();
Maps[8][0]='Africa';
Maps[8][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Jet Stream';
Maps[8][2]='Africa,af_st.gif,af_hi.gif,af_wc.gif,af_rh.gif,af_dp.gif,af_ws.gif,af_vs.gif,af_jt.gif';
Maps[8][3]='images/load_af.png';
Maps[8][4]=new Array();
Maps[8][4][0]='images/af/al.png,14,199,openURL("http://www.wunderground.com/global/AL.html?fromwidget=Y"),AL';
Maps[8][4][1]='images/af/an.png,138,254,openURL("http://www.wunderground.com/global/AN.html?fromwidget=Y"),AN';
Maps[8][4][2]='images/af/bc.png,171,276,openURL("http://www.wunderground.com/global/BC.html?fromwidget=Y"),BC';
Maps[8][4][3]='images/af/bi.png,125,301,openURL("http://www.wunderground.com/global/BI.html?fromwidget=Y"),BI';
Maps[8][4][4]='images/af/cd.png,57,259,openURL("http://www.wunderground.com/global/CD.html?fromwidget=Y"),CD';
Maps[8][4][5]='images/af/ce.png,92,261,openURL("http://www.wunderground.com/global/CE.html?fromwidget=Y"),CE';
Maps[8][4][6]='images/af/bj.png,89,224,openURL("http://www.wunderground.com/global/BJ.html?fromwidget=Y"),BJ';
Maps[8][4][7]='images/af/cg.png,112,253,openURL("http://www.wunderground.com/global/CG.html?fromwidget=Y"),CG';
Maps[8][4][8]='images/af/cm.png,94,246,openURL("http://www.wunderground.com/global/CM.html?fromwidget=Y"),CM';
Maps[8][4][9]='images/af/eg.png,32,289,openURL("http://www.wunderground.com/global/EG.html?fromwidget=Y"),EG';
Maps[8][4][10]='images/af/et.png,83,312,openURL("http://www.wunderground.com/global/ET.html?fromwidget=Y"),ET';
Maps[8][4][11]='images/af/gh.png,92,213,openURL("http://www.wunderground.com/global/GH.html?fromwidget=Y"),GH';
Maps[8][4][12]='images/af/gn.png,88,181,openURL("http://www.wunderground.com/global/GN.html?fromwidget=Y"),GN';
Maps[8][4][13]='images/af/go.png,116,246,openURL("http://www.wunderground.com/global/GO.html?fromwidget=Y"),GO';
Maps[8][4][14]='images/af/iv.png,94,199,openURL("http://www.wunderground.com/global/IV.html?fromwidget=Y"),IV';
Maps[8][4][15]='images/af/kn.png,110,314,openURL("http://www.wunderground.com/global/KN.html?fromwidget=Y"),KN';
Maps[8][4][16]='images/af/li.png,99,191,openURL("http://www.wunderground.com/global/LI.html?fromwidget=Y"),LI';
Maps[8][4][17]='images/af/ly.png,28,247,openURL("http://www.wunderground.com/global/LY.html?fromwidget=Y"),LY';
Maps[8][4][18]='images/af/mc.png,18,191,openURL("http://www.wunderground.com/global/MC.html?fromwidget=Y"),MC';
Maps[8][4][19]='images/af/mg.png,155,339,openURL("http://www.wunderground.com/global/MG.html?fromwidget=Y"),MG';
Maps[8][4][20]='images/af/mi.png,52,190,openURL("http://www.wunderground.com/global/MI.html?fromwidget=Y"),MI';
Maps[8][4][21]='images/af/mt.png,46,176,openURL("http://www.wunderground.com/global/MT.html?fromwidget=Y"),MT';
Maps[8][4][22]='images/af/mz.png,152,304,openURL("http://www.wunderground.com/global/MZ.html?fromwidget=Y"),MZ';
Maps[8][4][23]='images/af/ni.png,84,229,openURL("http://www.wunderground.com/global/NI.html?fromwidget=Y"),NI';
Maps[8][4][24]='images/af/nm.png,169,254,openURL("http://www.wunderground.com/global/NM.html?fromwidget=Y"),NM';
Maps[8][4][25]='images/af/nr.png,57,223,openURL("http://www.wunderground.com/global/NR.html?fromwidget=Y"),NR';
Maps[8][4][26]='images/af/rw.png,122,308,openURL("http://www.wunderground.com/global/RW.html?fromwidget=Y"),RW';
Maps[8][4][27]='images/af/sg.png,77,175,openURL("http://www.wunderground.com/global/SG.html?fromwidget=Y"),SG';
Maps[8][4][28]='images/af/si.png,90,333,openURL("http://www.wunderground.com/global/SI.html?fromwidget=Y"),SI';
Maps[8][4][29]='images/af/sl.png,95,186,openURL("http://www.wunderground.com/global/SL.html?fromwidget=Y"),SL';
Maps[8][4][30]='images/af/su.png,61,281,openURL("http://www.wunderground.com/global/SU.html?fromwidget=Y"),SU';
Maps[8][4][31]='images/af/tg.png,92,222,openURL("http://www.wunderground.com/global/TG.html?fromwidget=Y"),TG';
Maps[8][4][32]='images/af/tn.png,125,303,openURL("http://www.wunderground.com/global/TN.html?fromwidget=Y"),TN';
Maps[8][4][33]='images/af/ts.png,14,242,openURL("http://www.wunderground.com/global/TS.html?fromwidget=Y"),TS';
Maps[8][4][34]='images/af/ug.png,112,302,openURL("http://www.wunderground.com/global/UG.html?fromwidget=Y"),UG';
Maps[8][4][35]='images/af/ws.png,44,176,openURL("http://www.wunderground.com/global/WS.html?fromwidget=Y"),WS';
Maps[8][4][36]='images/af/za.png,184,267,openURL("http://www.wunderground.com/global/ZA.html?fromwidget=Y"),ZA';
Maps[8][4][37]='images/af/zb.png,145,282,openURL("http://www.wunderground.com/global/ZB.html?fromwidget=Y"),ZB';
Maps[8][4][38]='images/af/zr.png,108,255,openURL("http://www.wunderground.com/global/ZR.html?fromwidget=Y"),ZR';
Maps[8][4][39]='images/af/zw.png,165,291,openURL("http://www.wunderground.com/global/ZW.html?fromwidget=Y"),ZW';

Maps[9]=new Array();
Maps[9][0]='Australia';
Maps[9][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Jet Stream';
Maps[9][2]='Australia,au_st.gif,au_hi.gif,au_wc.gif,au_rh.gif,au_dp.gif,au_ws.gif,au_vs.gif,au_jt.gif';
Maps[9][3]='images/load_au.png';
Maps[9][4]=new Array();
Maps[9][4][0]='images/au/ct.png,151,272,openURL("http://www.wunderground.com/global/AU_CT.html?fromwidget=Y"),CT';
Maps[9][4][1]='images/au/nt.png,16,184,openURL("http://www.wunderground.com/global/AU_NT.html?fromwidget=Y"),NT';
Maps[9][4][2]='images/au/nw.png,113,243,openURL("http://www.wunderground.com/global/AU_NW.html?fromwidget=Y"),NW';
Maps[9][4][3]='images/au/nz.png,144,371,openURL("http://www.wunderground.com/global/NZ.html?fromwidget=Y"),NZ';
Maps[9][4][4]='images/au/qu.png,14,229,openURL("http://www.wunderground.com/global/AU_QU.html?fromwidget=Y"),QU';
Maps[9][4][5]='images/au/sa.png,95,184,openURL("http://www.wunderground.com/global/AU_SA.html?fromwidget=Y"),SA';
Maps[9][4][6]='images/au/ta.png,182,263,openURL("http://www.wunderground.com/global/AU_TA.html?fromwidget=Y"),TA';
Maps[9][4][7]='images/au/vc.png,143,242,openURL("http://www.wunderground.com/global/AU_VC.html?fromwidget=Y"),VC';
Maps[9][4][8]='images/au/we.png,30,106,openURL("http://www.wunderground.com/global/AU_WE.html?fromwidget=Y"),WE';

Maps[10]=new Array();
Maps[10][0]='US';
Maps[10][1]='Temperature,Heat Index,Windchill,Humidity,Radar,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Fronts,Snow Depth,Precipitation,Jet Stream,Flight Rules,UV Forecast,Air Quality';
Maps[10][2]='Northwest US,nw_st.gif,nw_hi.gif,nw_wc.gif,nw_rh.gif,nw_rd.gif,nw_dp.gif,nw_ws.gif,nw_vs.gif,nw_vi.gif,nw_ir.gif,nw_sf.gif,nw_snow.gif,nw_nws_precip.gif,nw_jt.gif,nw_flight.gif,nw_uv.gif,nw_ozone.gif';
Maps[10][3]='images/load_nw.png';
Maps[10][4]=new Array();
Maps[10][4][0]='images/nw/ca.png,134,108,openURL("http://www.wunderground.com/US/CA?fromwidget=Y"),CA';
Maps[10][4][1]='images/nw/co.png,156,306,openURL("http://www.wunderground.com/US/CO?fromwidget=Y"),CO';
Maps[10][4][2]='images/nw/id.png,33,205,openURL("http://www.wunderground.com/US/ID?fromwidget=Y"),ID';
Maps[10][4][3]='images/nw/ks.png,163,398,openURL("http://www.wunderground.com/US/KS?fromwidget=Y"),KS';
Maps[10][4][4]='images/nw/mt.png,30,224,openURL("http://www.wunderground.com/US/MT?fromwidget=Y"),MT';
Maps[10][4][5]='images/nw/nd.png,16,351,openURL("http://www.wunderground.com/US/ND?fromwidget=Y"),ND';
Maps[10][4][6]='images/nw/ne.png,114,365,openURL("http://www.wunderground.com/US/NE?fromwidget=Y"),NE';
Maps[10][4][7]='images/nw/nv.png,141,161,openURL("http://www.wunderground.com/US/NV?fromwidget=Y"),NV';
Maps[10][4][8]='images/nw/ok.png,217,410,openURL("http://www.wunderground.com/US/OK?fromwidget=Y"),OK';
Maps[10][4][9]='images/nw/or.png,67,115,openURL("http://www.wunderground.com/US/OR?fromwidget=Y"),OR';
Maps[10][4][10]='images/nw/sd.png,63,359,openURL("http://www.wunderground.com/US/SD?fromwidget=Y"),SD';
Maps[10][4][11]='images/nw/ut.png,150,240,openURL("http://www.wunderground.com/US/UT?fromwidget=Y"),UT';
Maps[10][4][12]='images/nw/wa.png,25,132,openURL("http://www.wunderground.com/US/WA?fromwidget=Y"),WA';
Maps[10][4][13]='images/nw/wy.png,94,279,openURL("http://www.wunderground.com/US/WY?fromwidget=Y"),WY';
Maps[10][4][14]='images/nw/mn.png,11,422,openURL("http://www.wunderground.com/US/MN?fromwidget=Y"),MN';

Maps[11]=new Array();
Maps[11][0]='US';
Maps[11][1]='Temperature,Heat Index,Windchill,Humidity,Radar,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Fronts,Snow Depth,Precipitation,Jet Stream,Flight Rules,UV Forecast,Air Quality';
Maps[11][2]='Midwest US,mw_st.gif,mw_hi.gif,mw_wc.gif,mw_rh.gif,mw_rd.gif,mw_dp.gif,mw_ws.gif,mw_vs.gif,mw_vi.gif,mw_ir.gif,mw_sf.gif,mw_snow.gif,mw_nws_precip.gif,mw_jt.gif,mw_flight.gif,mw_uv.gif,mw_ozone.gif';
Maps[11][3]='images/load_mw.png';
Maps[11][4]=new Array();
Maps[11][4][0]='images/mw/co.png,129,97,openURL("http://www.wunderground.com/US/CO?fromwidget=Y"),CO';
Maps[11][4][1]='images/mw/ia.png,107,223,openURL("http://www.wunderground.com/US/IA?fromwidget=Y"),IA';
Maps[11][4][2]='images/mw/il.png,122,288,openURL("http://www.wunderground.com/US/IL?fromwidget=Y"),IL';
Maps[11][4][3]='images/mw/in.png,130,336,openURL("http://www.wunderground.com/US/IN?fromwidget=Y"),IN';
Maps[11][4][4]='images/mw/ks.png,158,142,openURL("http://www.wunderground.com/US/KS?fromwidget=Y"),KS';
Maps[11][4][5]='images/mw/ky.png,174,322,openURL("http://www.wunderground.com/US/KY?fromwidget=Y"),KY';
Maps[11][4][6]='images/mw/mi.png,41,298,openURL("http://www.wunderground.com/US/MI?fromwidget=Y"),MI';
Maps[11][4][7]='images/mw/mn.png,13,223,openURL("http://www.wunderground.com/US/MN?fromwidget=Y"),MN';
Maps[11][4][8]='images/mw/mo.png,157,233,openURL("http://www.wunderground.com/US/MO?fromwidget=Y"),MO';
Maps[11][4][9]='images/mw/mt.png,8,97,openURL("http://www.wunderground.com/US/MT?fromwidget=Y"),MT';
Maps[11][4][10]='images/mw/nc.png,210,417,openURL("http://www.wunderground.com/US/NC?fromwidget=Y"),NC';
Maps[11][4][11]='images/mw/nd.png,8,143,openURL("http://www.wunderground.com/US/ND?fromwidget=Y"),ND';
Maps[11][4][12]='images/mw/ne.png,104,127,openURL("http://www.wunderground.com/US/NE?fromwidget=Y"),NE';
Maps[11][4][13]='images/mw/nm.png,199,97,openURL("http://www.wunderground.com/US/NM?fromwidget=Y"),NM';
Maps[11][4][14]='images/mw/ny.png,101,430,openURL("http://www.wunderground.com/US/NY?fromwidget=Y"),NY';
Maps[11][4][15]='images/mw/oh.png,118,371,openURL("http://www.wunderground.com/US/OH?fromwidget=Y"),OH';
Maps[11][4][16]='images/mw/ok.png,208,127,openURL("http://www.wunderground.com/US/OK?fromwidget=Y"),OK';
Maps[11][4][17]='images/mw/pa.png,113,423,openURL("http://www.wunderground.com/US/PA?fromwidget=Y"),PA';
Maps[11][4][18]='images/mw/sd.png,56,134,openURL("http://www.wunderground.com/US/SD?fromwidget=Y"),SD';
Maps[11][4][19]='images/mw/tn.png,211,338,openURL("http://www.wunderground.com/US/TN?fromwidget=Y"),TN';
Maps[11][4][20]='images/mw/tx.png,216,125,openURL("http://www.wunderground.com/US/TX?fromwidget=Y"),TX';
Maps[11][4][21]='images/mw/va.png,193,403,openURL("http://www.wunderground.com/US/VA?fromwidget=Y"),VA';
Maps[11][4][22]='images/mw/wi.png,52,269,openURL("http://www.wunderground.com/US/WI?fromwidget=Y"),WI';
Maps[11][4][23]='images/mw/wv.png,147,409,openURL("http://www.wunderground.com/US/WV?fromwidget=Y"),WV';
Maps[11][4][24]='images/mw/wy.png,60,97,openURL("http://www.wunderground.com/US/WY?fromwidget=Y"),WY';

Maps[12]=new Array();
Maps[12][0]='US';
Maps[12][1]='Temperature,Heat Index,Windchill,Humidity,Radar,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Fronts,Snow Depth,Precipitation,Jet Stream,Flight Rules,UV Forecast,Air Quality';
Maps[12][2]='Northeast US,ne_st.gif,ne_hi.gif,ne_wc.gif,ne_rh.gif,ne_rd.gif,ne_dp.gif,ne_ws.gif,ne_vs.gif,ne_vi.gif,ne_ir.gif,ne_sf.gif,ne_snow.gif,ne_nws_precip.gif,ne_jt.gif,ne_flight.gif,ne_uv.gif,ne_ozone.gif';
Maps[12][3]='images/load_ne.png';
Maps[12][4]=new Array();
Maps[12][4][0]='images/ne/al.png,204,112,openURL("http://www.wunderground.com/US/AL?fromwidget=Y"),AL';
Maps[12][4][1]='images/ne/ct.png,115,293,openURL("http://www.wunderground.com/US/CT?fromwidget=Y"),CT';
Maps[12][4][2]='images/ne/de.png,148,270,openURL("http://www.wunderground.com/US/DE?fromwidget=Y"),DT';
Maps[12][4][3]='images/ne/ga.png,211,149,openURL("http://www.wunderground.com/US/GA?fromwidget=Y"),GA';
Maps[12][4][4]='images/ne/ia.png,70,97,openURL("http://www.wunderground.com/US/IA?fromwidget=Y"),IA';
Maps[12][4][5]='images/ne/il.png,90,97,openURL("http://www.wunderground.com/US/IL?fromwidget=Y"),IL';
Maps[12][4][6]='images/ne/in.png,109,128,openURL("http://www.wunderground.com/US/IN?fromwidget=Y"),IN';
Maps[12][4][7]='images/ne/ky.png,151,109,openURL("http://www.wunderground.com/US/KY?fromwidget=Y"),KY';
Maps[12][4][8]='images/ne/ma.png,102,295,openURL("http://www.wunderground.com/US/MA?fromwidget=Y"),MA';
Maps[12][4][9]='images/ne/md.png,148,228,openURL("http://www.wunderground.com/US/MD?fromwidget=Y"),MD';
Maps[12][4][10]='images/ne/me.png,37,316,openURL("http://www.wunderground.com/US/ME?fromwidget=Y"),ME';
Maps[12][4][11]='images/ne/mi.png,27,133,openURL("http://www.wunderground.com/US/MI?fromwidget=Y"),MI';
Maps[12][4][12]='images/ne/mn.png,8,97,openURL("http://www.wunderground.com/US/MN?fromwidget=Y"),MN';
Maps[12][4][13]='images/ne/mo.png,128,97,openURL("http://www.wunderground.com/US/MO?fromwidget=Y"),MO';
Maps[12][4][14]='images/ne/ms.png,199,97,openURL("http://www.wunderground.com/US/MS?fromwidget=Y"),MS';
Maps[12][4][15]='images/ne/nc.png,193,165,openURL("http://www.wunderground.com/US/NC?fromwidget=Y"),NC';
Maps[12][4][16]='images/ne/nh.png,69,304,openURL("http://www.wunderground.com/US/NH?fromwidget=Y"),NH';
Maps[12][4][17]='images/ne/nj.png,126,273,openURL("http://www.wunderground.com/US/NJ?fromwidget=Y"),NJ';
Maps[12][4][18]='images/ne/ny.png,73,226,openURL("http://www.wunderground.com/US/NY?fromwidget=Y"),NY';
Maps[12][4][19]='images/ne/oh.png,114,168,openURL("http://www.wunderground.com/US/OH?fromwidget=Y"),OH';
Maps[12][4][20]='images/ne/pa.png,113,217,openURL("http://www.wunderground.com/US/PA?fromwidget=Y"),PA';
Maps[12][4][21]='images/ne/ri.png,115,313,openURL("http://www.wunderground.com/US/RI?fromwidget=Y"),RI';
Maps[12][4][22]='images/ne/sc.png,213,176,openURL("http://www.wunderground.com/US/SC?fromwidget=Y"),SC';
Maps[12][4][23]='images/ne/tn.png,179,97,openURL("http://www.wunderground.com/US/TN?fromwidget=Y"),TN';
Maps[12][4][24]='images/ne/va.png,155,179,openURL("http://www.wunderground.com/US/VA?fromwidget=Y"),VA';
Maps[12][4][25]='images/ne/vt.png,72,294,openURL("http://www.wunderground.com/US/VT?fromwidget=Y"),VT';
Maps[12][4][26]='images/ne/wi.png,29,103,openURL("http://www.wunderground.com/US/WI?fromwidget=Y"),WI';
Maps[12][4][27]='images/ne/wv.png,142,191,openURL("http://www.wunderground.com/US/WV?fromwidget=Y"),WV';

Maps[13]=new Array();
Maps[13][0]='US';
Maps[13][1]='Temperature,Heat Index,Windchill,Humidity,Radar,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Fronts,Snow Depth,Precipitation,Jet Stream,Flight Rules,UV Forecast,Air Quality';
Maps[13][2]='Southwest US,sw_st.gif,sw_hi.gif,sw_wc.gif,sw_rh.gif,sw_rd.gif,sw_dp.gif,sw_ws.gif,sw_vs.gif,sw_vi.gif,sw_ir.gif,sw_sf.gif,sw_snow.gif,sw_nws_precip.gif,sw_jt.gif,sw_flight.gif,sw_uv.gif,sw_ozone.gif';
Maps[13][3]='images/load_sw.png';
Maps[13][4]=new Array();
Maps[13][4][0]='images/sw/az.png,101,198,openURL("http://www.wunderground.com/US/AZ?fromwidget=Y"),AZ';
Maps[13][4][1]='images/sw/ca.png,15,111,openURL("http://www.wunderground.com/US/CA?fromwidget=Y"),CA';
Maps[13][4][2]='images/sw/co.png,44,267,openURL("http://www.wunderground.com/US/CO?fromwidget=Y"),CO';
Maps[13][4][3]='images/sw/ia.png,8,388,openURL("http://www.wunderground.com/US/IA?fromwidget=Y"),IA';
Maps[13][4][4]='images/sw/id.png,8,188,openURL("http://www.wunderground.com/US/ID?fromwidget=Y"),ID';
Maps[13][4][5]='images/sw/ks.png,45,340,openURL("http://www.wunderground.com/US/KS?fromwidget=Y"),KS';
Maps[13][4][6]='images/sw/la.png,87,428,openURL("http://www.wunderground.com/US/LA?fromwidget=Y"),LA';
Maps[13][4][7]='images/sw/mo.png,28,404,openURL("http://www.wunderground.com/US/MO?fromwidget=Y"),MO';
Maps[13][4][8]='images/sw/ne.png,12,316,openURL("http://www.wunderground.com/US/NE?fromwidget=Y"),NE';
Maps[13][4][9]='images/sw/nm.png,100,267,openURL("http://www.wunderground.com/US/NM?fromwidget=Y"),NM';
Maps[13][4][10]='images/sw/nv.png,23,152,openURL("http://www.wunderground.com/US/NV?fromwidget=Y"),NV';
Maps[13][4][11]='images/sw/ok.png,83,335,openURL("http://www.wunderground.com/US/OK?fromwidget=Y"),OK';
Maps[13][4][12]='images/sw/or.png,8,118,openURL("http://www.wunderground.com/US/OR?fromwidget=Y"),OR';
Maps[13][4][13]='images/sw/sd.png,8,315,openURL("http://www.wunderground.com/US/SD?fromwidget=Y"),SD';
Maps[13][4][14]='images/sw/tx.png,102,298,openURL("http://www.wunderground.com/US/TX?fromwidget=Y"),TX';
Maps[13][4][15]='images/sw/ut.png,33,212,openURL("http://www.wunderground.com/US/UT?fromwidget=Y"),UT';
Maps[13][4][16]='images/sw/wy.png,8,247,openURL("http://www.wunderground.com/US/WY?fromwidget=Y"),WY';

Maps[14]=new Array();
Maps[14][0]='US';
Maps[14][1]='Temperature,Heat Index,Windchill,Humidity,Radar,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Fronts,Snow Depth,Precipitation,Jet Stream,Flight Rules,UV Forecast,Air Quality';
Maps[14][2]='Southcentral US,sp_st.gif,sp_hi.gif,sp_wc.gif,sp_rh.gif,sp_rd.gif,sp_dp.gif,sp_ws.gif,sp_vs.gif,sp_vi.gif,sp_ir.gif,sp_sf.gif,sp_snow.gif,sp_nws_precip.gif,sp_jt.gif,sp_flight.gif,sp_uv.gif,sp_ozone.gif';
Maps[14][3]='images/load_sp.png';
Maps[14][4]=new Array();
Maps[14][4][0]='images/sp/al.png,69,400,openURL("http://www.wunderground.com/US/AL?fromwidget=Y"),AL';
Maps[14][4][1]='images/sp/ar.png,60,326,openURL("http://www.wunderground.com/US/AR?fromwidget=Y"),AR';
Maps[14][4][2]='images/sp/az.png,44,97,openURL("http://www.wunderground.com/US/AZ?fromwidget=Y"),AZ';
Maps[14][4][3]='images/sp/co.png,8,172,openURL("http://www.wunderground.com/US/CO?fromwidget=Y"),CO';
Maps[14][4][4]='images/sp/fl.png,124,418,openURL("http://www.wunderground.com/US/FL?fromwidget=Y"),FL';
Maps[14][4][5]='images/sp/il.png,8,353,openURL("http://www.wunderground.com/US/IL?fromwidget=Y"),IL';
Maps[14][4][6]='images/sp/in.png,8,393,openURL("http://www.wunderground.com/US/IN?fromwidget=Y"),IN';
Maps[14][4][7]='images/sp/ks.png,20,246,openURL("http://www.wunderground.com/US/KS?fromwidget=Y"),KS';
Maps[14][4][8]='images/sp/ky.png,13,384,openURL("http://www.wunderground.com/US/KY?fromwidget=Y"),KY';
Maps[14][4][9]='images/sp/la.png,109,338,openURL("http://www.wunderground.com/US/LA?fromwidget=Y"),LA';
Maps[14][4][10]='images/sp/mo.png,9,311,openURL("http://www.wunderground.com/US/MO?fromwidget=Y"),MO';
Maps[14][4][11]='images/sp/ms.png,76,370,openURL("http://www.wunderground.com/US/MS?fromwidget=Y"),MS';
Maps[14][4][12]='images/sp/ne.png,8,247,openURL("http://www.wunderground.com/US/NE?fromwidget=Y"),NE';
Maps[14][4][13]='images/sp/nm.png,52,159,openURL("http://www.wunderground.com/US/NM?fromwidget=Y"),NM';
Maps[14][4][14]='images/sp/nv.png,8,97,openURL("http://www.wunderground.com/US/NV?fromwidget=Y"),NV';
Maps[14][4][15]='images/sp/ok.png,59,235,openURL("http://www.wunderground.com/US/OK?fromwidget=Y"),OK';
Maps[14][4][16]='images/sp/tn.png,44,378,openURL("http://www.wunderground.com/US/TN?fromwidget=Y"),TN';
Maps[14][4][17]='images/sp/tx.png,68,189,openURL("http://www.wunderground.com/US/TX?fromwidget=Y"),TX';
Maps[14][4][18]='images/sp/ut.png,8,119,openURL("http://www.wunderground.com/US/UT?fromwidget=Y"),UT';

Maps[15]=new Array();
Maps[15][0]='US';
Maps[15][1]='Temperature,Heat Index,Windchill,Humidity,Radar,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Fronts,Snow Depth,Precipitation,Jet Stream,Flight Rules,UV Forecast,Air Quality';
Maps[15][2]='Southeast US,se_st.gif,se_hi.gif,se_wc.gif,se_rh.gif,se_rd.gif,se_dp.gif,se_ws.gif,se_vs.gif,se_vi.gif,se_ir.gif,se_sf.gif,se_snow.gif,se_nws_precip.gif,se_jt.gif,se_flight.gif,se_uv.gif,se_ozone.gif';
Maps[15][3]='images/load_se.png';
Maps[15][4]=new Array();
Maps[15][4][0]='images/se/al.png,73,281,openURL("http://www.wunderground.com/US/AL?fromwidget=Y"),AL';
Maps[15][4][1]='images/se/ar.png,50,208,openURL("http://www.wunderground.com/US/AR?fromwidget=Y"),AR';
Maps[15][4][2]='images/se/co.png,8,97,openURL("http://www.wunderground.com/US/CO?fromwidget=Y"),CO';
Maps[15][4][3]='images/se/fl.png,128,292,openURL("http://www.wunderground.com/US/FL?fromwidget=Y"),FL';
Maps[15][4][4]='images/se/ga.png,70,313,openURL("http://www.wunderground.com/US/GA?fromwidget=Y"),GA';
Maps[15][4][5]='images/se/il.png,8,249,openURL("http://www.wunderground.com/US/IL?fromwidget=Y"),IL';
Maps[15][4][6]='images/se/in.png,8,284,openURL("http://www.wunderground.com/US/IN?fromwidget=Y"),IN';
Maps[15][4][7]='images/se/ks.png,8,130,openURL("http://www.wunderground.com/US/KS?fromwidget=Y"),KS';
Maps[15][4][8]='images/se/ky.png,14,271,openURL("http://www.wunderground.com/US/KY?fromwidget=Y"),KY';
Maps[15][4][9]='images/se/la.png,100,212,openURL("http://www.wunderground.com/US/LA?fromwidget=Y"),LA';
Maps[15][4][10]='images/se/mo.png,8,210,openURL("http://www.wunderground.com/US/MO?fromwidget=Y"),MO';
Maps[15][4][11]='images/se/ms.png,74,241,openURL("http://www.wunderground.com/US/MS?fromwidget=Y"),MS';
Maps[15][4][12]='images/se/nc.png,35,328,openURL("http://www.wunderground.com/US/NC?fromwidget=Y"),NC';
Maps[15][4][13]='images/se/nm.png,21,97,openURL("http://www.wunderground.com/US/NM?fromwidget=Y"),NM';
Maps[15][4][14]='images/se/oh.png,8,317,openURL("http://www.wunderground.com/US/OH?fromwidget=Y"),OH';
Maps[15][4][15]='images/se/ok.png,28,118,openURL("http://www.wunderground.com/US/OK?fromwidget=Y"),OK';
Maps[15][4][16]='images/se/sc.png,65,340,openURL("http://www.wunderground.com/US/SC?fromwidget=Y"),SC';
Maps[15][4][17]='images/se/tn.png,45,260,openURL("http://www.wunderground.com/US/TN?fromwidget=Y"),IN';
Maps[15][4][18]='images/se/tx.png,35,97,openURL("http://www.wunderground.com/US/TX?fromwidget=Y"),TX';
Maps[15][4][19]='images/se/va.png,8,337,openURL("http://www.wunderground.com/US/VA?fromwidget=Y"),VA';
Maps[15][4][20]='images/se/wv.png,8,342,openURL("http://www.wunderground.com/US/WV?fromwidget=Y"),WV';


Maps[16]=new Array();
Maps[16][0]='US';
Maps[16][1]='Temperature,Heat Index,Windchill,Humidity,Dew Point,Wind,Visibility,Visible Satellite,Satellite,Snow Depth,Jet Stream,Flight Rules,UV Forecast';
Maps[16][2]='Alaska,ak_st.gif,ak_hi.gif,ak_wc.gif,ak_rh.gif,ak_dp.gif,ak_ws.gif,ak_vs.gif,ak_vi.gif,ak_ir.gif,ak_snow.gif,ak_jt.gif,ak_flight.gif,ak_uv.gif';
Maps[16][3]='images/load_ak.png';
Maps[16][4]=new Array();
Maps[16][4][0]='images/ak/ak.png,10,121,openURL("http://www.wunderground.com/US/AK"),AK';



SetupWindow();
Init();
Main_Window.visible=true;

UpgradePreferences();

if (preferences.LastMap.value == '-1')
{
	ShowGlobe(true);
	//ShowUS(false);
} else {
	ShowGlobe(false);
	//ShowUS(false);
	if (preferences.DefaultMap.value == '-1')
	{
		ShowCountry(Number(preferences.LastMap.value));
	} else {
		ShowCountry(Number(preferences.DefaultMap.value));
	}
}	

CheckUpgrade();





function UpgradePreferences()
{
	// Forced edit of preference values for major changes between versions
	if (Number(preferences.WUVersion.value) == 0)
	{
		// Perform all previous widget forced preference updates here
		preferences.TextColor.value='#000000';
		preferences.MouseHighlightColor.value='#C0C0C0';
		preferences.SelectedTextHighlightColor.value='#AEAEFF';
	}
	preferences.WUVersion.value=WidgetVersion;
	savePreferences();
}

function CheckUpgrade()
{
	// Check to see if a new version is available.  If so, get the version number and upgrade comments
	var VerURL = new URL();
	var Ver=null;
	var VerData='';
	var i=0;
	CheckUpgrade.ticking=false;
	VerURL.location='http://johnwbartlett.com/WeatherUnderground.txt?widget=' + Rand();
	VerURL.outputFile = system.widgetDataFolder + '/WeatherUnderground.txt';
	Ver=VerURL.fetch();
	if (VerURL.response >= 400)
	{
		print('Check Upgrade error: Status code ' + VerURL.response);
		return;
	}
	VerData=filesystem.readFile(system.widgetDataFolder + '/WeatherUnderground.txt',true);
	//print('User Version: [' + WidgetVersion + ']  New Version: [' + VerData[0] + ']');
	if (VerData[0] != WidgetVersion)
	{
		UpgradeVersion=VerData[0];
		for (i=1; i < VerData.length; i++)
		{
			UpgradeNotes=UpgradeNotes + '\n' + VerData[i];
		}
		// alert('A new version of the Weather Wiget is available.\n' + VerInfo + '\n\nClick OK to open a browser window to download the new version.');
		// openURL('http://johnwbartlett.com/Weather%20Underground.widget');

		// If the new version has not been ignored by the user, display the upgrade icon
		if (VerData[0] != preferences.IgnoreVersion.value) UpgradeIcon.visible=true;
	}
}

function UpgradeWidget()
{
	var FF=new Array();
	var Res='';
	// List of paths to check on the computer for the current location of the widget
	var CheckPaths=new Array(system.userDocumentsFolder,system.userDesktopFolder,system.userWidgetsFolder);
	// List of user friendly names for the above paths
	var CheckPathsName=new Array('My Documents','Desktop','My Widgets');
	var Found=false;
	var FoundCnt=0;
	var i=0;

	// Display upgrade notes
	if (UpgradeNotes != '') alert(UpgradeNotes);

	// Create form to prompt user to choose if they want to try to auto-upgrade or manually download and install
	FF[0]=new FormField();
	FF[0].name='Upgrade';
	FF[0].type='checkbox';
	FF[0].defaultValue='1';
	FF[0].title='Set checkbox to Auto Update (uncheck to manually download and install)';
	Res=form(FF,'Upgrade Weather Underground Widget','Download','Ignore Version');
	if (Res == null)
	{
		// User clicked the Ignore button
		UpgradeIcon.visible=false;
		preferences.IgnoreVersion.value=UpgradeVersion;
		savePreferences();
		alert('You will not be prompted to update the Weather Underground widget until a newer version than ' + UpgradeVersion + ' is available.');
		return;
	}
	if (String(Res) == '0')
	{
		// User chose to manually download - notify and open a URL to the widget
		alert('After downloading the widget, you will need to save it over the current version and reload the widget for the changes to take effect.');
		openURL(WidgetDownloadURL);
	} else {
		// Search the list of paths defined above and see if the widget exists in any of them
		for (i=0; i < CheckPaths.length; i++)
		{
			if (filesystem.itemExists(CheckPaths[i] + '/Weather Underground.widget') == true)
			{
				Found=i;
				FoundCnt++;
			}
		}
		if (Found == false)
		{
			alert('The location of the Weather Underground widget on your computer could not be located in the My Documents, My Widgets, or the Desktop.\n\nAutomatic update is not available.');
			return;
		}
		if (FoundCnt > 1)
		{
			alert('In searching for the Weather Underground widget located on your Desktop, My Documents, or My Widgets folder, a copy was found in more than one location.\n\nAutomatic update is not available.');
			return;
		}
		// Hide visible elements in the display
		HideText();
		HideOverlay();
		Map.visible=false;
		WU_Logo.visible=false;
		LastUpdated.visible=false;
		UpgradeIcon.visible=false;
		Updating1.visible=true;
		Updating2.visible=true;
		updateNow();

		// Before downloading the new version to the Widget's Data Folder, check to see if a previous version was downloaded and delete it if found
		if (filesystem.itemExists(system.widgetDataFolder + '/Weather Underground.widget')) filesystem.moveToRecycleBin(system.widgetDataFolder + '/Weather Underground.widget');

		// Download the new version to the Widget's Data Folder
		var VerURL = new URL();
		VerURL.location=WidgetDownloadURL + '?widget=' + Rand();
		VerURL.outputFile = system.widgetDataFolder + '/Weather Underground.widget';
		Ver=VerURL.fetch();

		// If there was an error downloading the widget, alert the user and restore the widget's display
		if (VerURL.response >= 400)
		{
			alert('There was a problem fetching the widget.\n\nStatus Code: ' + VerURL.response);
			Updating1.visible=false;
			Updating2.visible=false;
			UpgradeIcon.visible=true;
			RefreshDisplay();
			return;
		}

		// Notifify the user that the widget was successfully downloaded and is ready to update
		alert('The new version was successfully downloaded.\n\nClick OK to replace the version located in the ' + CheckPathsName[Found] + ' folder and restart.');

		// Delete the current widget
		filesystem.moveToRecycleBin(CheckPaths[Found] + '/Weather Underground.widget');

		// Copy the widget and if successful, restart widget to load the new version
		if (filesystem.copy(system.widgetDataFolder + '/Weather Underground.widget',CheckPaths[Found]) == true)
		{
			reloadWidget();
		} else {
			// There was a problem copying the widget, alert user and restore display
			alert('There was a problem replacing the current widget with the new version.  Automatic update is not available.');
			Map.visible=true;
			UpgradeIcon.visible=true;
			Updating1.visible=false;
			Updating2.visible=false;
			RefreshDisplay();
			return;
		}
	}
}

function Init()
{
	// Initilize variables
	var i=0;

	if (preferences.RevertMap.value == '0')
	{
		RevertMapTimer.ticking=false;
	} else {
		RevertMapTimer.interval=Number(preferences.RevertMap.value);
		RevertMapTimer.ticking=true;
	}

	for (i=1; i <= 17; i++)
	{
		TxtBG[i]=new Array();
	}
	SetupTxtBG();
}

function SetupTxtBG()
{
	// Set up text color array
	var i=0;
	for (i=1; i <= 17; i++)
	{
		TxtBG[i][0]=preferences.MouseHighlightColor.value;
		TxtBG[i][1]=0;
	}
}

function SetOpac(Layer,Opacity)
{
	if (preferences.Highlight.value == '1') eval(Layer + '.opacity=' + Opacity);
}

function ShowCountry(idx,HideLoading)
{
	var obj='';
	var i=0;
	var tmp=false;
	var OldIdx=preferences.LastMap.value;
	var vOffset=0;
	var hOffset=0;

	suppressUpdates();

	preferences.LastMap.value=String(idx);
	//if (idx > 0 && idx < 10) preferences.LastMapIdx.value=1;
	for (i=0; i < ListLen(Maps[idx][1]); i++)
	{
		if (preferences.LastMapKey.value == ListGetAt(Maps[idx][1],i)) tmp=i + 1;
	}
	if (tmp == false)
	{
		preferences.LastMapIdx.value=1;
	} else {
		preferences.LastMapIdx.value=tmp;
	}
	savePreferences();

	ShowGlobe(false);

	if (OldIdx < 10 && OldIdx > 0) Map.src=Maps[idx][3];
	Map.reload();
	if (HideLoading != true) Map.src=Maps[idx][3];
	Map.visible=true;

	for (i=1; i <= ListLen(Maps[idx][1]); i++)
	{
		eval('obj=txt_' + i);
		tmp=ListGetAt(Maps[idx][1],i - 1);
		obj.data=tmp;
		obj.onMouseDown='preferences.LastMapKey.value="' + tmp + '";LoadImg(\'' + ListGetAt(Maps[idx][2],i) + '\',' + i + ')';
		savePreferences();
		obj.visible=true;
	}
	eval('obj=txt_' + String(ListLen(Maps[idx][1]) + 1));
	obj.visible=false;
	
	if (ListLen(Maps[idx][1] + 2) < 19)
	{
		for (i=ListLen(Maps[idx][1]) + 1; i <= 19; i++)
		{
			eval('obj=txt_' + i);
			obj.data='';
			obj.visible=false;
		}
	}

	eval('LinkBack=txt_' + String(ListLen(Maps[idx][1]) + 2));
	LinkBack.data='Back';
	LinkBack.visible=true;

	if (idx >= 10 && idx <= 15)
	{
		LinkBack.onMouseDown='ShowCountry(0,true)';
	} else {
		LinkBack.onMouseDown='Restart()';
	}

	LoadImg(ListGetAt(Maps[idx][2],preferences.LastMapIdx.value),preferences.LastMapIdx.value,HideLoading);
	eval('obj=txt_' + preferences.LastMapIdx.value);
	NavHighlight=preferences.LastMapIdx.value;
	//obj.bgOpacity=120;
	obj.bgColor=preferences.SelectedTextHighlightColor.value;

	for (i=0; i <= 47; i++)
	{
		eval('Overlay_' + String(i) + '.visible=false');
	}
	// Some maps are not in the same x/y coordinates as others, create a offset
	tmp=obj.data;
	if (ListFind('10,13,14',String(idx)) > -1 && ListFind('Radar,Visible Satellite,Satellite,Fronts,Snow Depth,Jet Stream,Flight Rules,UV Forecast,Air Quality',tmp) > -1)
	{
		hOffset=0;
		vOffset=1;
	}
	if (idx == 11 && ListFind('Radar,Visible Satellite,Satellite,Fronts,Snow Depth,Jet Stream,Flight Rules,UV Forecast,Air Quality',tmp) > -1)
	{
		hOffset=1;
		vOffset=1;
	}
	if (idx == 12 && ListFind('Radar,Visible Satellite,Satellite,Fronts,Snow Depth,Jet Stream,Flight Rules,UV Forecast,Air Quality',tmp) > -1)
	{
		hOffset=1;
		vOffset=0;
	}

	// Generate new Overlays
	for (i=0; i < ArrayLen(Maps[idx][4]); i++)
	{
		eval('obj=Overlay_' + String(i));
		obj.src=ListGetAt(Maps[idx][4][i],0);
		obj.vOffset=Number(ListGetAt(Maps[idx][4][i],1)) + vOffset;
		obj.hOffset=Number(ListGetAt(Maps[idx][4][i],2)) + hOffset;
		obj.onMouseEnter="SetOpac('Overlay_" + String(i) + "',200)";
		obj.onMouseExit="SetOpac('Overlay_" + String(i) + "',1)";
		obj.onMouseDown=ListGetAt(Maps[idx][4][i],3);
		obj.colorize=preferences.HightlightColor.value;
		if (preferences.ShowTooltips.value == '1')
		{
			obj.tooltip=ListGetAt(Maps[idx][4][i],4);
		} else {
			obj.tooltip='';;
		}
		obj.visible=true;
	}

	resumeUpdates();
}

function HideText()
{
	var i=0;
	for (i=1; i <= 19; i++)
	{
		eval('txt_' + String(i) + '.visible=false');
	}
}

function HideOverlay()
{
	var i=0;
	for (i=0; i <= 47; i++)
	{
		eval('Overlay_' + String(i) + '.visible=false');
	}
}

function Restart()
{
	Map.visible=false;
	LinkBack.visible=false;
	ShowGlobe(true);
	// Wipe out map text
	for (i=1; i <= 19; i++)
	{
		eval('obj=txt_' + i);
		obj.data='';
		obj.visible=false;
	}
}

function LoadImg(img,idx,HideLoading)
{
	var DS='';
	var i=0;
	var obj='';
	var tmp='';
	var tmp2='';
	var tmpDate='';
	var AMPM='PM';
	var LastMap=Number(preferences.LastMap.value);

	if (img == '')
	{
		img=ListGetAt(Maps[LastMap][2],1);
		idx=1;
	}

	RefreshTimer.reset();
	RevertMapTimer.reset();

	NavHighlight=idx;
	preferences.LastMapIdx.value=idx;
	savePreferences();

	Error1.visible=false;
	Error2.visible=false;
	if (HideLoading != true)
	{
		Loading1.visible=true;
		Loading2.visible=true;
	}
	// updateNow();

	var url = new URL();
	url.location = 'http://icons.wunderground.com/data/images/' + img + '?fromwidget=' + Rand();
	url.outputFile = system.widgetDataFolder + '/map.gif';
	url.fetch();
	if (url.response >= 400)
	{
		// Error fetching map
		print('Error fetching http://icons.wunderground.com/data/images/' + img);
		print('Status code: ' + url.response);
		Error1.visible=true;
		Error2.visible=true;
		Loading1.visible=false;
		Loading2.visible=false;
		return;
	}
	tmp=String(url.getResponseHeaders('Last-Modified'));
	if (preferences.GMT.value == '0')
	{
		tmp=Trim(ListLast(tmp,','));
		tmp=new Date(tmp);
		tmp=String(tmp);
	}
	DS='Last Updated: ' + ListFirst(tmp,' ');
	if (preferences.GMT.value == '0') DS=DS + ', ' + ListGetAt(tmp,2,' ') + ' ' + ListGetAt(tmp,1,' ') + ' ' + ListGetAt(tmp,3,' ') + ' at ';
	if (preferences.GMT.value == '1') DS=DS + ' ' + ListGetAt(tmp,1,' ') + ' ' + ListGetAt(tmp,2,' ') + ' ' + ListGetAt(tmp,3,' ') + ' at ';
	tmp=ListGetAt(tmp,4,' ');
	if (preferences.MilClock.value == '0')
	{
		tmp2=Number(ListFirst(tmp,':'));
		if (tmp2 == 0)
		{
			DS=DS + '12:';
			AMPM='AM';
		}
		if (tmp2 >= 1 && tmp2 <= 11)
		{
			DS=DS + String(tmp2) + ':';
			AMPM='AM';
		}
		if (tmp2 == 12) DS=DS + String(tmp2) + ':';
		if (tmp2 >= 13) DS=DS + String(tmp2 - 12) + ':';
		DS=DS + ListGetAt(tmp,1,':') + ' ' + AMPM;
	} else {
		DS=DS + ListFirst(tmp,':') + ':' + ListGetAt(tmp,1,':');
	}
	if (preferences.GMT.value == '1') DS=DS + ' GMT';
	LastUpdated.data=DS;
	LastUpdated.visible=true;

	Map.src=system.widgetDataFolder + '/map.gif';
	Map.reload();

	Loading1.visible=false;
	Loading2.visible=false;

	for (i=1; i <= 19; i++)
	{
		eval('obj=txt_' + String(i));
		obj.bgColor='#FFFFFF';
		//obj.bgOpacity=0;
	}

	eval('obj=txt_' + String(NavHighlight));
	//obj.bgOpacity=120;
	obj.bgColor=preferences.SelectedTextHighlightColor.value;
	updateNow();
}

function RefreshDisplay()
{
	var i=0;

	if (preferences.RevertMap.value == '0')
	{
		RevertMapTimer.ticking=false;
	} else {
		RevertMapTimer.interval=Number(preferences.RevertMap.value);
		RevertMapTimer.ticking=true;
	}

	SetColorPrefs();

	ShowCountry(Number(preferences.LastMap.value),true);
}

function SetColorPrefs()
{
	for (i=1; i <= 19; i++)
	{
		eval('obj=txt_' + i);
		obj.color=preferences.TextColor.value;
		obj.bgColor=preferences.MouseHighlightColor.value;
	}
	LastUpdated.color=preferences.TextColor.value;
}

function ShowGlobe(vis)
{
	Error1.visible=false;
	Error2.visible=false;

	// Hide overlays
	for (i=0; i <= 47; i++)
	{
		eval('Overlay_' + String(i) + '.visible=false');
	}
	world_blank.visible=vis;
	world_us.visible=vis;
	world_ak.visible=vis;
	world_cn.visible=vis;
	world_ca.visible=vis;
	world_sa.visible=vis;
	world_eu.visible=vis;
	world_as.visible=vis;
	world_af.visible=vis;
	world_a2.visible=vis;
	world_au.visible=vis;
	world_an.visible=vis;
	world_gl.visible=vis;

	LastUpdated.visible=false;
}

function SetupWindow()
{
	var tmp=0;
	var i=0;
	var obj='';
	var X=Main_Window.width / 2 - 99;
	var Y1=Main_Window.height / 2 - 57;
	var Y2=Main_Window.height / 2 - 68;

	suppressUpdates();

	for (i=1; i <= 19; i++)
	{
		eval('obj=txt_' + String(i));
		obj.hOffset=6;
		obj.vOffset=14 * i + 2;
	}

	SetColorPrefs();

	LastUpdated.hOffset=140;
	LastUpdated.vOffset=Main_Window.height - 6;
	LastUpdated.color=preferences.TextColor.value;

	resumeUpdates();
}

function Opacity(obj,o)
{
	eval(obj + '.opacity=o');
	updateNow();
}

function SetTextBGColor(obj)
{
	var t='';
	var i=0;

	for (i=1; i <= 19; i++)
	{
		eval('t=txt_' + String(i));
		t.bgColor='#FFFFFF';
	}

	eval('t=txt_' + String(obj));
	//t.bgOpacity=o;
	t.bgColor=preferences.MouseHighlightColor.value;

	eval('t=txt_' + String(NavHighlight));
	t.bgColor=preferences.SelectedTextHighlightColor.value;
	//t.bgOpacity=120;

	updateNow();
}

function SetTextBGColor2(obj)
{
	var t='';
	var i=0;

	for (i=1; i <= 19; i++)
	{
		eval('t=txt_' + String(i));
		t.bgColor='#FFFFFF';
	}

	eval('t=txt_' + String(NavHighlight));
	t.bgColor=preferences.SelectedTextHighlightColor.value;
	//t.bgOpacity=120;

	updateNow();
}

function RevertMap()
{
	if (preferences.LastMap.value == preferences.DefaultMap.value && preferences.LastMapKey.value == preferences.DefaultMapType.value) return;
	preferences.LastMap.value=preferences.DefaultMap.value;
	preferences.LastMapKey.value=preferences.DefaultMapType.value;
	RefreshDisplay();
}

function Rand()
{
	return Number(new Date);
}

// Trim functions from http://www.apriori-it.co.uk/Trim.asp
// ASCII field added by myself to specify which character to trim off
function Trim(TRIM_VALUE,ASCII)
{
	if (ASCII == null) ASCII = 32;
	if(TRIM_VALUE.length < 1)
	{
		return '';
	}
	TRIM_VALUE = RTrim(TRIM_VALUE,ASCII);
	TRIM_VALUE = LTrim(TRIM_VALUE,ASCII);
	if(TRIM_VALUE=='')
	{
		return '';
	}
	else{
	return TRIM_VALUE;
	}
} //End Function

function RTrim(VALUE,ASCII)
{
	var w_space = String.fromCharCode(ASCII);
	var v_length = VALUE.length;
	var strTemp = "";
	if(v_length < 0)
	{
		return '';
	}
	var iTemp = v_length -1;
	
	while(iTemp > -1)
	{
		if(VALUE.charAt(iTemp) == w_space)
		{
		} else {
			strTemp = VALUE.substring(0,iTemp +1);
			break;
		}
		iTemp = iTemp-1;
	
	} //End While
	return strTemp;

} //End Function

function LTrim(VALUE,ASCII)
{
	var w_space = String.fromCharCode(ASCII);
	if(v_length < 1)
	{
		return '';
	}
	var v_length = VALUE.length;
	var strTemp = "";
	
	var iTemp = 0;
	
	while(iTemp < v_length)
	{
		if(VALUE.charAt(iTemp) == w_space)
		{
		} else {
			strTemp = VALUE.substring(iTemp,v_length);
			break;
		}
		iTemp = iTemp + 1;
	} //End While
	return strTemp;
} //End Function

